Ollama-Compatible API
Show Model
Get detailed information about a specific model (Ollama-compatible)
POST
/
api
/
show
Show Model
curl --request POST \
--url https://api.ajstudioz.co.in/api/show \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"verbose": true
}
'import requests
url = "https://api.ajstudioz.co.in/api/show"
payload = {
"model": "<string>",
"verbose": True
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: '<string>', verbose: true})
};
fetch('https://api.ajstudioz.co.in/api/show', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"model": "gemma3:27b",
"modified_at": "2025-03-12T00:00:00Z",
"template": "{{ if .System }}<start_of_turn>user\n{{ .System }}<end_of_turn>\n{{ end }}{{ range .Messages }}{{ if eq .Role \"user\" }}<start_of_turn>user\n{{ .Content }}<end_of_turn>\n<start_of_turn>model\n{{ else if eq .Role \"assistant\" }}{{ .Content }}<end_of_turn>\n{{ end }}{{ end }}",
"system": "",
"details": {
"parent_model": "",
"format": "gguf",
"family": "gemma3",
"families": ["gemma3"],
"parameter_size": "27.2B",
"quantization_level": "Q4_K_M"
},
"modelinfo": {
"general.architecture": "gemma3",
"general.name": "Gemma 3 27B Instruct",
"gemma3.attention.head_count": 32,
"gemma3.context_length": 131072
}
}
Overview
Returns detailed information about a specific model, including its parameters, template, and system prompt. Compatible with Ollama’sPOST /api/show format.
Request
Headers
string
required
Bearer token:
Bearer YOUR_API_KEYBody
string
required
The model name to get information about. See available models.
boolean
default:"false"
If
true, returns full verbose data including layer information.Response
object
Detailed model information including architecture and capabilities.
string
The prompt template used by the model.
string
Default system prompt for the model (if any).
object
Model details:
parent_modelformatfamilyfamiliesparameter_sizequantization_level
string
ISO 8601 timestamp of when the model was last modified.
Example
curl https://api.ajstudioz.co.in/api/show \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"model": "gemma3:27b"}'
from ollama import Client
client = Client(
host="https://api.ajstudioz.co.in",
headers={"Authorization": "Bearer YOUR_API_KEY"}
)
info = client.show("deepseek-v3.2")
print(f"Template: {info.template}")
print(f"Details: {info.details}")
{
"model": "gemma3:27b",
"modified_at": "2025-03-12T00:00:00Z",
"template": "{{ if .System }}<start_of_turn>user\n{{ .System }}<end_of_turn>\n{{ end }}{{ range .Messages }}{{ if eq .Role \"user\" }}<start_of_turn>user\n{{ .Content }}<end_of_turn>\n<start_of_turn>model\n{{ else if eq .Role \"assistant\" }}{{ .Content }}<end_of_turn>\n{{ end }}{{ end }}",
"system": "",
"details": {
"parent_model": "",
"format": "gguf",
"family": "gemma3",
"families": ["gemma3"],
"parameter_size": "27.2B",
"quantization_level": "Q4_K_M"
},
"modelinfo": {
"general.architecture": "gemma3",
"general.name": "Gemma 3 27B Instruct",
"gemma3.attention.head_count": 32,
"gemma3.context_length": 131072
}
}
⌘I
Show Model
